List Generated Messages
curl --request GET \
--url https://app.pixiegtm.com/api/campaigns/{id}/generate-messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pixiegtm.com/api/campaigns/{id}/generate-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pixiegtm.com/api/campaigns/{id}/generate-messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pixiegtm.com/api/campaigns/{id}/generate-messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"messages": [
{
"id": "<string>",
"campaign_id": "<string>",
"prospect_id": "<string>",
"node_id": "<string>",
"subject": "<string>",
"body_text": "<string>",
"status": "draft",
"manually_edited": true,
"created_at": "2023-11-07T05:31:56Z",
"body_html": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Outbound Messages
List Generated Messages
List generated campaign messages
GET
/
api
/
campaigns
/
{id}
/
generate-messages
List Generated Messages
curl --request GET \
--url https://app.pixiegtm.com/api/campaigns/{id}/generate-messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pixiegtm.com/api/campaigns/{id}/generate-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pixiegtm.com/api/campaigns/{id}/generate-messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pixiegtm.com/api/campaigns/{id}/generate-messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pixiegtm.com/api/campaigns/{id}/generate-messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"messages": [
{
"id": "<string>",
"campaign_id": "<string>",
"prospect_id": "<string>",
"node_id": "<string>",
"subject": "<string>",
"body_text": "<string>",
"status": "draft",
"manually_edited": true,
"created_at": "2023-11-07T05:31:56Z",
"body_html": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}CLI:
pixie campaign generate-message list --id <id>
pixie campaign generate-message list --id <id> --status <status> --prospect-id <prospect-id> --prospect-limit <prospect-limit> --prospect-offset <prospect-offset>
Overview
Fetches generated campaign messages for one campaign. By default the endpoint returns draft messages; passstatus=all, status=pending, or status=sent when reviewing another part of the message lifecycle.
Pass prospect_id to focus on one lead. In that mode, inbound conversation replies are merged into the response so the UI can show the lead’s full thread context.
AI agent notes
Use this before editing generated copy or showing a human the messages that will be sent. This endpoint does not send or regenerate messages. Only call Edit generated email for draft messages the human wants to change.Authorizations
Query Parameters
Was this page helpful?